| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgfx/shadervarcontext.h File Reference

Simple implementation for iShaderVariableContext. More...

`#include "csextern.h"`
`#include "csutil/scf_implementation.h"`
`#include "ivideo/shader/shader.h"`
`#include "shadervar.h"`

Go to the source code of this file.

## Namespaces
namespace | CS
## Classes
class | csShaderVariableContext
| Complete SCF class implementing iShaderVariableContext. More...
class | CS::ShaderVariableContextImpl
| Simple implementation for iShaderVariableContext. More...

## Detailed Description

Simple implementation for iShaderVariableContext.

Definition in file shadervarcontext.h.